<!--
 * @Description: 经常检查统计
 * @Author: @liulin
 * @Date: 2023-03-24 16:38:19
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-28 10:16:04
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'dailyMainEngPayStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '结构物总数',
            value: 'allCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '桥梁检查总数',
            value: 'bridgeCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '桥梁总数',
            value: 'bridgeCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '桥梁本月检查总数',
            value: 'bridgeMonthCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '桥梁平均月检查次数',
            value: 'bridgeMonthRate',
            // format: true,
            // count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '涵洞检查总数',
            value: 'culvertCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '涵洞总数',
            value: 'culvertCount',
            format: true,
            count: val => utils.thousandBit(val)
          },

          {
            label: '涵洞本月检查总数',
            value: 'culvertMonthCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '涵洞平均月检查次数',
            value: 'culvertMonthRate',
            // format: true,
            // count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '边坡检查总数',
            value: 'sideCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '边坡总数',
            value: 'sideCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '边坡本月检查总数',
            value: 'sideMonthCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '隧道平均月检查次数',
            value: 'sideMonthRate',
            // format: true,
            // count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '隧道检查总数',
            value: 'tunnelCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '隧道总数',
            value: 'tunnelCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '隧道本月检查总数',
            value: 'tunnelMonthCheckCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '隧道月检查比例',
            value: 'tunnelMonthRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          }
        ],
        api: 'bridgeOftenCheck/v1/checkReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
